Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Class XMLInputStreamFactory

    java.lang.Object
      weblogic.xml.stream.XMLInputStreamFactory

Deprecated. please use java standard StAX api

    public abstract class XMLInputStreamFactory

extends Object

Defines an abstract implementation of a factory for getting streams

Since:
  XMLInputStream 1.0
See Also:
  `XMLInputStream`, `ElementFilter`

Constructor Summary
`XMLInputStreamFactory()` Deprecated.

Method Summary
`abstract BufferedXMLInputStream` | `newBufferedInputStream(XMLInputStream inputStream)` Deprecated. Create a buffered XMLInputStream from an XMLInputStream
`abstract XMLInputStream` | `newCanonicalInputStream(XMLInputStream inputStream)` Deprecated. Wrap a canonical stream around an XMLInputStream
`abstract XMLInputStream` | `newDTDAwareInputStream(InputStream inputStream)` Deprecated. Create a stream that reads and understands a DTD, can be used to canoncalize an XML source
`abstract XMLInputStream` | `newDTDAwareInputStream(Reader reader)` Deprecated. Create a stream that reads and understands a DTD, can be used to canoncalize an XML source
`abstract XMLInputStream` | `newFragmentInputStream(InputStream inputStream, Map namespaces)` Deprecated. Create a stream can parse fragments
`abstract XMLInputStream` | `newFragmentInputStream(Reader reader, Map namespaces)` Deprecated. Create a stream can parse fragments
`abstract XMLInputStream` | `newInputStream(Document doc)` Deprecated. Create an XMLInputStream that reads from a DOM document
`abstract XMLInputStream` | `newInputStream(Document document, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream that reads from a DOM document
`abstract XMLInputStream` | `newInputStream(File file)` Deprecated. Create a new XMLInputStream from a file
`abstract XMLInputStream` | `newInputStream(File file, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream from a file
`abstract XMLInputStream` | `newInputStream(InputStream stream)` Deprecated. Create a new XMLInputStream from a stream
`abstract XMLInputStream` | `newInputStream(InputStream stream, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream from a stream
`abstract XMLInputStream` | `newInputStream(Node node)` Deprecated. Create an XMLInputStream that reads from a DOM node
`abstract XMLInputStream` | `newInputStream(Node node, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream that reads from a DOM node
`abstract XMLInputStream` | `newInputStream(Reader reader)` Deprecated. Create a new XMLInputStream from a reader
`abstract XMLInputStream` | `newInputStream(Reader reader, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream from a reader
`abstract XMLInputStream` | `newInputStream(XMLInputStream inputStream, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream from an XMLInputStream
`abstract XMLInputStream` | `newInputStream(XMLPullReader reader, InputSource input)` Deprecated. Create a new XMLInputStream from an InputSource
`abstract XMLInputStream` | `newInputStream(XMLPullReader reader, InputSource input, ElementFilter filter)` Deprecated. Create a filtered XMLInputStream from an InputSource read by the XMLPullReader
`static XMLInputStreamFactory` | `newInstance()` Deprecated. Create a new instance of the factory.
`abstract void` | `setFilter(ElementFilter filter)` Deprecated. Allows you to set a default filter for the factory that will wrap all streams created from this factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLInputStreamFactory

    public XMLInputStreamFactory()

  Deprecated.

Method Detail

### newInstance

    public static XMLInputStreamFactory newInstance()

  Deprecated.
  Create a new instance of the factory.

### newInputStream

    public abstract XMLInputStream newInputStream(File file)
                                           throws XMLStreamException

  Deprecated.
  Create a new XMLInputStream from a file

  Parameters:
    `file` - the XML file to read from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(InputStream stream)
                                           throws XMLStreamException

  Deprecated.
  Create a new XMLInputStream from a stream

  Parameters:
    `stream` - the XML stream to read from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Reader reader)
                                           throws XMLStreamException

  Deprecated.
  Create a new XMLInputStream from a reader

  Parameters:
    `reader` - the XML reader to read from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(XMLPullReader reader,
                                                  InputSource input)
                                           throws XMLStreamException

  Deprecated.
  Create a new XMLInputStream from an InputSource

  Parameters:
    `reader` - the XMLPullReader that reads the inputsource
    `input` - the InputSource that the XMLReader reads from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Document doc)
                                           throws XMLStreamException

  Deprecated.
  Create an XMLInputStream that reads from a DOM document

  Parameters:
    `document` - the DOM document to read from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Node node)
                                           throws XMLStreamException

  Deprecated.
  Create an XMLInputStream that reads from a DOM node

  Parameters:
    `node` - the DOM node to read from
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(XMLPullReader reader,
                                                  InputSource input,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream from an InputSource read by the XMLPullReader

  Parameters:
    `reader` - the XMLPullReader that reads the inputsource
    `input` - the InputSource that the XMLReader reads from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Document document,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream that reads from a DOM document

  Parameters:
    `document` - the DOM document to read from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Node node,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream that reads from a DOM node

  Parameters:
    `node` - the DOM node to read from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(File file,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream from a file

  Parameters:
    `file` - the XML file to read from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(InputStream stream,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream from a stream

  Parameters:
    `stream` - the XML stream to read from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(Reader reader,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream from a reader

  Parameters:
    `reader` - the reader to read from
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newInputStream

    public abstract XMLInputStream newInputStream(XMLInputStream inputStream,
                                                  ElementFilter filter)
                                           throws XMLStreamException

  Deprecated.
  Create a filtered XMLInputStream from an XMLInputStream

  Parameters:
    `inputStream` - the stream to wrap
    `filter` - the ElementFilter to apply to the stream
  Throws:
    `XMLStreamException`

### newBufferedInputStream

    public abstract BufferedXMLInputStream newBufferedInputStream(XMLInputStream inputStream)
                                                           throws XMLStreamException

  Deprecated.
  Create a buffered XMLInputStream from an XMLInputStream

  Parameters:
    `inputStream` - the stream to buffer
  Throws:
    `XMLStreamException`

### newCanonicalInputStream

    public abstract XMLInputStream newCanonicalInputStream(XMLInputStream inputStream)
                                                    throws XMLStreamException

  Deprecated.
  Wrap a canonical stream around an XMLInputStream

  Parameters:
    `inputStream` - the stream to buffer
  Throws:
    `XMLStreamException`

### newDTDAwareInputStream

    public abstract XMLInputStream newDTDAwareInputStream(InputStream inputStream)
                                                   throws XMLStreamException

  Deprecated.
  Create a stream that reads and understands a DTD, can be used to canoncalize an XML source

  Parameters:
    `inputStream` - the stream to buffer
  Throws:
    `XMLStreamException`

### newDTDAwareInputStream

    public abstract XMLInputStream newDTDAwareInputStream(Reader reader)
                                                   throws XMLStreamException

  Deprecated.
  Create a stream that reads and understands a DTD, can be used to canoncalize an XML source

  Parameters:
    `reader` - the reader to read from
  Throws:
    `XMLStreamException`

### newFragmentInputStream

    public abstract XMLInputStream newFragmentInputStream(InputStream inputStream,
                                                          Map namespaces)
                                                   throws XMLStreamException

  Deprecated.
  Create a stream can parse fragments

  Parameters:
    `inputStream` - the stream to buffer
  Throws:
    `XMLStreamException`

### newFragmentInputStream

    public abstract XMLInputStream newFragmentInputStream(Reader reader,
                                                          Map namespaces)
                                                   throws XMLStreamException

  Deprecated.
  Create a stream can parse fragments

  Parameters:
    `reader` - the reader to read from
  Throws:
    `XMLStreamException`

### setFilter

    public abstract void setFilter(ElementFilter filter)
                            throws XMLStreamException

  Deprecated.
  Allows you to set a default filter for the factory that will wrap all streams created from this factory

  Parameters:
    `filter` - the default filter
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD